Update Edge Script
curl --request POST \
--url https://api.bunny.net/compute/script/{id} \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"Name": "<string>"
}
'import requests
url = "https://api.bunny.net/compute/script/{id}"
payload = { "Name": "<string>" }
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({Name: '<string>'})
};
fetch('https://api.bunny.net/compute/script/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Name": "<string>",
"LastModified": "2023-11-07T05:31:56Z",
"CurrentReleaseId": 123,
"EdgeScriptVariables": [
{
"Id": 123,
"Name": "<string>",
"Required": true,
"DefaultValue": "<string>"
}
],
"Deleted": true,
"LinkedPullZones": [
{
"Id": 123,
"PullZoneName": "<string>",
"DefaultHostname": "<string>"
}
],
"Integration": {
"IntegrationId": 123,
"RepositorySettings": {
"Id": 123,
"Name": "<string>",
"Private": true,
"TemplateUrl": "<string>"
},
"DeployConfiguration": {
"Branch": "<string>",
"InstallCommand": "<string>",
"BuildCommand": "<string>",
"EntryFile": "<string>",
"CreateWorkflow": true
}
},
"DefaultHostname": "<string>",
"SystemHostname": "<string>",
"DeploymentKey": "<string>",
"RepositoryId": 123,
"IntegrationId": 123,
"MonthlyCost": 123,
"MonthlyRequestCount": 123,
"MonthlyCpuTime": 123
}Edge Script
Update Edge Script
POST
/
compute
/
script
/
{id}
Update Edge Script
Authorizations
AccessKeybearer
API Access Key authorization header
Path Parameters
The ID of the script that will be updated
Body
application/json
The configuration that should be applied to the script
Response
The script with the requested ID
0 = DNS 1 = CDN 2 = Middleware
Available options:
0, 1, 2 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 11, 2026
Was this page helpful?
⌘I